/*this file should be < 4 kB*/
nav {
  border-bottom: var(--standard-border);
  padding-bottom: 1rem;
}

body {
  color: var(--text);
  background-color: var(--bg);
  font: 110% system-ui;
  line-height: 1.6rem;
  max-width: 80ch;
  margin: 5rem auto;
  padding: 0 1rem;
}

h1 {
  line-height: 2rem;
}

/* Markdown stuff */
h1 {
  border-bottom: 3px solid #ff1f44;
}
h2 {
  border-bottom: 3px solid #ff4766;
}
h3 {
  border-bottom: 3px solid #ff7088;
}
h4 {
  border-bottom: 3px solid #ff91a4;
}
blockquote {
  border-left: solid #d92;
  margin: 0;
  padding: 0 0.5em;
}
code {
  background: var(--bg-alt);
  padding: 2px 5px;
  border: var(--standard-border);
}

/* Table stuff */
table,
td,
th {
  border: var(--standard-border);
  border-collapse: collapse;

  margin-left: auto;
  padding: 5px 2em;
  margin-right: auto;
}
tr:nth-child(odd) {
  background-color: var(--bg-alt);
}

a {
  color: var(--link);
  text-decoration: none;
  border-bottom: solid var(--link);
}

footer {
  margin-top: 40px;
}

footer > hr {
  margin-bottom: 10px;
}

:root {
  --text: #000;
  --bg: #fafafa;
  --bg-alt: #eaeaea;
  --standard-border: thin solid var(--text);
  --link: #005AE0;
}
@media (prefers-color-scheme:dark) {
  :root {
      --text: #ddd;
      --bg: #222;
      --bg-alt: #333;
      --link: #aaccff;
  }
}